Name:           dvb-apps
Version:        1.1.1
Release:        21%{?dist}
Summary:        Utility, demo and test applications using the Linux DVB API

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps
Source0:        http://www.linuxtv.org/downloads/linuxtv-dvb-apps-%{version}.tar.bz2
# Source1 created with Source99
Source1:        %{name}-tuningfiles-20100316.tar.bz2
Source99:       %{name}-tuningfiles-snapshot.sh
Patch0:         %{name}-1.1.1-optflags.patch
Patch1:         %{name}-paths.patch
Patch2:         %{name}-1.1.1-no-build-test.patch
Patch3:         %{name}-1.1.1-czap-sscanf-557580.patch
# http://linuxtv.org/hg/dvb-apps/rev/53ca8b7c9d31
Patch4:         %{name}-1.1.1-tzap-auto-574112.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libusb-devel
BuildRequires:  kernel-headers >= 2.6.16

%description
%{summary}.


%prep
%setup -q -n linuxtv-%{name}-%{version} -a 1
%patch0 -p1
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1

cd util
install -pm 644 av7110_loadkeys/README ../README.av7110_loadkeys
install -pm 644 scan/README ../README.scandvb
install -pm 644 szap/README ../README.szap
install -pm 644 ttusb_dec_reset/README ../README.ttusb_dec_reset
chmod 644 dvbnet/net_start.*
cd ..

rm -rf include

f=util/szap/channels.conf-dvbc-berlin
iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

sed -i -e 's/\r//g' util/scan/dvb-c/hu-Digikabel


%build
make CC="%{__cc}" # %{?_smp_mflags}
make %{?_smp_mflags} CC="%{__cc}" -C util/ttusb_dec_reset


%install
rm -rf $RPM_BUILD_ROOT
cd util
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 av7110_loadkeys/av7110_loadkeys $RPM_BUILD_ROOT%{_bindir}
install -pm 755 av7110_loadkeys/evtest $RPM_BUILD_ROOT%{_bindir}/av7110_evtest
install -pm 755 dvbdate/dvbdate $RPM_BUILD_ROOT%{_bindir}
install -pm 755 dvbnet/dvbnet $RPM_BUILD_ROOT%{_bindir}
install -pm 755 dvbtraffic/dvbtraffic $RPM_BUILD_ROOT%{_bindir}
install -pm 755 scan/scan $RPM_BUILD_ROOT%{_bindir}/scandvb
install -pm 755 szap/?zap $RPM_BUILD_ROOT%{_bindir}
install -pm 755 szap/femon $RPM_BUILD_ROOT%{_bindir}
install -pm 755 ttusb_dec_reset/ttusb_dec_reset $RPM_BUILD_ROOT%{_bindir}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/dvb-apps
cp -pR scan/dvb-? scan/atsc av7110_loadkeys/*.rc{5,mm} \
    $RPM_BUILD_ROOT%{_datadir}/dvb-apps
cd ..


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README* TODO util/dvbnet/net_start.* util/szap/channels.conf-dvb*
%{_bindir}/*
%{_datadir}/dvb-apps/


%changelog
* Tue Mar 16 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-21
- Apply upstream patch to add tzap AUTO param support (#574112, AUDU Jerome).
- Update tuning files to 20100316.

* Thu Jan 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-20
- Apply patch to fix czap config parsing when built w/gcc 4.4.2 (#557580).
- Update tuning files to 20100121.

* Thu Jan 14 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-19
- Update tuning files to 20100114.

* Thu Aug 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-18
- Update tuning files to 20090820.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-16
- Update tuning files to 20090702.
- Drop no longer needed workaround for #483644.

* Thu Feb 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-15
- Add workaround for #483644.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-13
- Update tuning files to 20090222.

* Sat Aug 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-12
- Update tuning files to 20080830.
- Convert data files to UTF-8.
- Unfuzz optflags patch.

* Thu Feb 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-11
- Update tuning files to 20080214.

* Tue Aug 21 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-10
- Update tuning files to 20070821.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-9
- Do not build test binaries we don't run or ship.
- Update tuning files to 20070806.
- Change License tag to GPLv2+.

* Sun May 13 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-8
- Update tuning files to 20070513.
- Drop non-upstream license file.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-7
- Rebuild.

* Sat Sep 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-6
- Include updated set of initial tuning data files from upstream hg (#203328).

* Tue Aug 29 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-5
- Rebuild.

* Thu May 18 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-4
- Include ATSC initial tuning data files.

* Thu May 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.1.1-2
- Rebuild (to unfix kernel-headers on older distros)

* Thu May 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.1.1-1
- Update to dvb-apps 1.1.1 (add ATSC functionality)
- Fix kernel-headers BR

* Tue Feb 21 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-2
- Rebuild.

* Sun Jul 17 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-1
- Include a copy of the GPL.

* Thu Jun 30 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.4
- Update URL.

* Sun May 29 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.3
- Rebuild for FC4.

* Wed Apr 20 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.2
- Switch to recent glibc-kernheaders which includes userspace DVB headers.

* Sun Dec 26 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:1.1.0-0.1
- Remove unnecessary Epochs.

* Mon Oct  4 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:1.1.0-0.scop.1
- First build, loosely based on Mandrake's 1.1.0-4mdk.

